%global selinuxtype targeted
%global moduletype contrib
%global modulename authlogin_duo

Name:           duo_unix
Version:        1.12.1
Release:        1%{?dist}
Summary:        PAM module for integration with Duo

License:        GPLv2
URL:            https://duo.com/docs/duounix
Source0:        https://dl.duosecurity.com/%{name}-%{version}.tar.gz

BuildRequires:  bzip2
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  openssl-devel
BuildRequires:  pam-devel
BuildRequires:  selinux-policy-devel
BuildRequires:  zlib-devel
Requires:       pam
Requires:       (%{name}-selinux if selinux-policy-%{selinuxtype})

%description
%{summary}.

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
%{summary}.

%package selinux
Summary:        SELinux rules for %{name}
Requires:       selinux-policy-%{selinuxtype}
Requires(post): selinux-policy-%{selinuxtype}
Requires:       %{name}%{?_isa} = %{version}-%{release}
%{?selinux_requires}

%description selinux
%{summary}.


%prep
%autosetup


%build
%configure \
    --with-pam
%make_build
%make_build -C pam_duo semodule


%install
rm -rf %{buildroot}
%make_install
%make_install -C pam_duo semodule-install
rm -v %{buildroot}/lib64/security/*.la


%files
%license LICENSE
%doc README.md AUTHORS CHANGES
%config(noreplace) %{_sysconfdir}/login_duo.conf
%config(noreplace) %{_sysconfdir}/pam_duo.conf
/%{_lib}/security/pam_duo.so
%{_sbindir}/duo_unix_support.sh
%{_sbindir}/login_duo
%{_docdir}/duo_unix/CONTRIBUTING.md
%{_docdir}/duo_unix/LICENSE
%{_docdir}/duo_unix/duo_unix_support/
%{_mandir}/man3/duo.3.*
%{_mandir}/man8/login_duo.8.*
%{_mandir}/man8/pam_duo.8.*

%files devel
%{_includedir}/
%{_libdir}/pkgconfig/libduo.pc

%files selinux
%{_datadir}/selinux/packages/%{modulename}.pp.bz2

%pre selinux
%selinux_relabel_pre -s %{selinuxtype}

%post selinux
%selinux_modules_install %{_datadir}/selinux/packages/%{modulename}.pp.bz2

%postun selinux
if [ $1 -eq 0 ]; then
    %selinux_modules_uninstall %{_datadir}/selinux/packages/%{modulename}.pp.bz2
fi

%posttrans selinux
%selinux_relabel_post -s %{selinuxtype}


%changelog
* Fri Oct 14 2022 Ben Boeckel <fedora@me.benboeckel.net> - 1.12.1-1
- update to 1.12.1

* Mon Jan 25 2021 Ben Boeckel <fedora@me.benboeckel.net> - 1.11.4-3
- fixed SELinux packaging

* Mon Jan 25 2021 Ben Boeckel <fedora@me.benboeckel.net> - 1.11.4-2
- include SELinux rules

* Fri Jan 22 2021 Ben Boeckel <fedora@me.benboeckel.net> - 1.11.4-1
- Initial version.
